Package org.jbpm.executor.impl

## Class AbstractAvailableJobsExecutor

- java.lang.Object
- - org.jbpm.executor.impl.AbstractAvailableJobsExecutor

- Direct Known Subclasses:
    `AvailableJobsExecutor`, `JmsAvailableJobsExecutor`

      public abstract class AbstractAvailableJobsExecutor
      extends Object

  Heart of the executor component - executes the actual tasks. Handles retries and error management. Based on results of execution notifies defined callbacks about the execution results.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ClassCacheManager` | `classCacheManager` |
    `protected Map<String,​Object>` | `contextData` |
    `protected ExecutorEventSupport` | `eventSupport` |
    `protected org.kie.api.executor.Executor` | `executor` |
    `protected org.kie.api.executor.ExecutorStoreService` | `executorStoreService` |
    `protected org.kie.api.executor.ExecutorQueryService` | `queryService` |
    `protected int` | `retries` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAvailableJobsExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContextData​(String name, Object data)` |
    `void` | `executeGivenJob​(RequestInfo request)` |
    `protected ClassLoader` | `getClassLoader​(String deploymentId)` |
    `protected void` | `handleCompletion​(boolean processReoccurring, org.kie.api.executor.Command cmd, org.kie.api.executor.CommandContext ctx)` |
    `protected boolean` | `handleException​(RequestInfo request, Throwable e, org.kie.api.executor.CommandContext ctx, List<org.kie.api.executor.CommandCallback> callbacks)` |
    `void` | `setClassCacheManager​(ClassCacheManager classCacheManager)` |
    `void` | `setEventSupport​(ExecutorEventSupport eventSupport)` |
    `void` | `setExecutor​(org.kie.api.executor.Executor executor)` |
    `void` | `setExecutorStoreService​(org.kie.api.executor.ExecutorStoreService executorStoreService)` |
    `void` | `setQueryService​(org.kie.api.executor.ExecutorQueryService queryService)` |
    `protected void` | `updateProcessInfoInContext​(RequestInfo requestInfo, org.kie.api.executor.CommandContext ctx)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### retries

          protected int retries

    - #### contextData

          protected Map<String,​Object> contextData

    - #### queryService

          protected org.kie.api.executor.ExecutorQueryService queryService

    - #### classCacheManager

          protected ClassCacheManager classCacheManager

    - #### executorStoreService

          protected org.kie.api.executor.ExecutorStoreService executorStoreService

    - #### eventSupport

          protected ExecutorEventSupport eventSupport

    - #### executor

          protected org.kie.api.executor.Executor executor

  - ### Constructor Detail

    - #### AbstractAvailableJobsExecutor

          public AbstractAvailableJobsExecutor()

  - ### Method Detail

    - #### setEventSupport

          public void setEventSupport​(ExecutorEventSupport eventSupport)

    - #### setQueryService

          public void setQueryService​(org.kie.api.executor.ExecutorQueryService queryService)

    - #### setClassCacheManager

          public void setClassCacheManager​(ClassCacheManager classCacheManager)

    - #### setExecutorStoreService

          public void setExecutorStoreService​(org.kie.api.executor.ExecutorStoreService executorStoreService)

    - #### setExecutor

          public void setExecutor​(org.kie.api.executor.Executor executor)

    - #### executeGivenJob

          public void executeGivenJob​(RequestInfo request)

    - #### getClassLoader

          protected ClassLoader getClassLoader​(String deploymentId)

    - #### addContextData

          public void addContextData​(String name,
                                     Object data)

    - #### handleException

          protected boolean handleException​(RequestInfo request,
                                            Throwable e,
                                            org.kie.api.executor.CommandContext ctx,
                                            List<org.kie.api.executor.CommandCallback> callbacks)

    - #### handleCompletion

          protected void handleCompletion​(boolean processReoccurring,
                                          org.kie.api.executor.Command cmd,
                                          org.kie.api.executor.CommandContext ctx)

    - #### updateProcessInfoInContext

          protected void updateProcessInfoInContext​(RequestInfo requestInfo,
                                                    org.kie.api.executor.CommandContext ctx)